Submit Demo
===========

This demo will demonstrate on how to Submit an Envelope for approval

To run the demo:

1. Install the OpenAir connector in Anypoint Studio.

2. Import the demo as an "External Project" in Anypoint Studio.

3. If the OpenAir Connector library is not in the project build path:
	a) Right-click the demo project and click Properties;
	b) In the left-pane, click on Java Build Path
	c) On the Libraries tab, click Add Library
	d) Select "Anypoint Connectors Dependencies" and search for OpenAir. Select it and click Finish to add it to the build path.
	
4. Fill in the credentials properties file called "openair-credentials.properties" located under "src/main/resources". 
You will need to provide your OpenAir  Company, Username, Password, ApiNamespace and ApiKey.  The ConnectionTimeout and ReadTimeOut are optional.

5. You can view the OpenAir SOAP Messages by setting the following log4j to DEBUG:
	<AsyncLogger name="org.mule.modules.openair" level="Info"/>
The log4j property file is located in the "src/main/resources" folder 

6. Run the demo application and hit the following URL in your browser: http://localhost:8081

7. Input Envelope details in the provided text boxes under the "Add Envelope" section then Click the "Add Envelope" button.

8. Input Ticket details in the provided text boxes under the "Add Ticket" section then Click the "Add Ticket" button.  The UserID and EnvelopeID field are automatically
populated from the previous step.

9. Populate the fields under the "Submit" Section then click "Submit". This would submit the envelope for approval.

10. The "Delete Envelope" section displays the status returned by the "Submit" response. Click the "Delete Evenvelope" button to delete it from OpenAir.   

